Bug 8204 - Authority viewer in OPAC ugly, unfriendly, and mostly useless
Summary: Authority viewer in OPAC ugly, unfriendly, and mostly useless
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low major (vote)
Assignee: Jared Camins-Esakov
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 8212
  Show dependency treegraph
 
Reported: 2012-06-07 13:05 UTC by Jared Camins-Esakov
Modified: 2013-12-05 19:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8204: Add user friendly authority view to OPAC (19.63 KB, patch)
2012-06-27 18:50 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8204: Add user friendly authority view to OPAC (21.73 KB, patch)
2012-07-01 13:03 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8204: Add user friendly authority view to OPAC (25.85 KB, patch)
2012-07-01 13:59 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8204: Add user friendly authority view to OPAC (26.67 KB, patch)
2012-07-08 12:51 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8204: Add user friendly authority view to OPAC (26.71 KB, patch)
2012-07-08 13:13 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8204: Add user friendly authority view to OPAC (26.85 KB, patch)
2012-07-08 14:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
UNIMARC view wrong (59.99 KB, image/png)
2012-07-26 15:06 UTC, Paul Poulain
Details
Bug 8204: fix UNIMARC display (13.55 KB, patch)
2012-07-26 15:51 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8204 follow-up: quiet warn (785 bytes, patch)
2012-07-27 11:53 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8204 follow-up: quiet warn (1.19 KB, patch)
2012-07-27 12:20 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8204 follow-up: quiet warn (1.21 KB, patch)
2012-07-27 12:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
template error (63.31 KB, image/png)
2012-07-27 16:26 UTC, Nicole C. Engard
Details
Bug 8204 follow-up: don't display OpacNav on auth details (2.16 KB, patch)
2012-08-27 13:05 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8204 follow-up: don't display OpacNav on auth details (2.17 KB, patch)
2012-08-28 01:48 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-06-07 13:05:41 UTC
The authority viewer in the OPAC provides only an expanded MARC view of authority records, which is barely even of use to librarians, much less patrons. There should be an authority view more like the biblio details view, which provides friendly access to the information in authority records.
Comment 1 Jared Camins-Esakov 2012-06-27 18:50:58 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-07-01 04:12:58 UTC
Actually when I click on full heading and get to this page I get
cgi-bin/koha/opac-authoritiesdetail.pl?authid=1

Template process failed: file error - /home/christopher/git/koha/koha-tmpl/opac-tmpl/prog/en/modules/opac-authoritiesdetail.tt: not found at /home/christopher/git/koha/C4/Templates.pm line 127.

I suspect this is another bug. Will try getting to the authority record another way
Comment 3 Chris Cormack 2012-07-01 04:27:33 UTC
Hmm I have no idea how to get to an authority view in the opac that actually works. Someone will have to tell me how or test this.
Comment 4 Jared Camins-Esakov 2012-07-01 12:12:17 UTC
Chris,

(In reply to comment #2)
> Actually when I click on full heading and get to this page I get
> cgi-bin/koha/opac-authoritiesdetail.pl?authid=1
> 
> Template process failed: file error -
> /home/christopher/git/koha/koha-tmpl/opac-tmpl/prog/en/modules/opac-
> authoritiesdetail.tt: not found at
> /home/christopher/git/koha/C4/Templates.pm line 127.
> 
> I suspect this is another bug. Will try getting to the authority record
> another way

Did you update your repo before applying this? As far as I can see, the authorities detail template was changed to opac-auth-detail.tt by f5974e27 (bug 7943 follow-up). That patch is in master.
Comment 5 Jared Camins-Esakov 2012-07-01 13:03:53 UTC Comment hidden (obsolete)
Comment 6 Jared Camins-Esakov 2012-07-01 13:59:14 UTC Comment hidden (obsolete)
Comment 7 Chris Cormack 2012-07-01 20:19:38 UTC
commit 0923e96cb4a9684db7c777866e9c822522f49a72
Author: Paul Poulain <paul.poulain@biblibre.com>
Date:   Fri Jun 29 17:17:47 2012 +0200

    Revert "Bug 7444: Update circ/circulation.pl to use KohaDates TT Plugin"
    
    This reverts commit 186cfa5cb00a1c0ee7f0e4512a5f319299bb6412.


Yep definitely on master.

and koha-tmpl/opac-tmpl/prog/en/modules/opac-authoritiessearchresultlist.tt

links to 
 <a href="opac-authoritiesdetail.pl?authid=[% resul.authid %]">

And in there i can see the change, 
 template_name   => $show_marc ? "opac-auth-MARCdetail.tt" : "opac-auth-detail.tt",

But I am still getting 
Template process failed: file error - /home/christopher/git/koha/koha-tmpl/opac-tmpl/prog/en/modules/opac-authoritiesdetail.tt: not found at /home/christopher/git/koha/C4/Templates.pm line 127.

But I note
ls koha-tmpl/opac-tmpl/prog/en/modules/opac-auth* 
koha-tmpl/opac-tmpl/prog/en/modules/opac-auth-MARCdetail.tt
koha-tmpl/opac-tmpl/prog/en/modules/opac-authorities-home.tt
koha-tmpl/opac-tmpl/prog/en/modules/opac-authoritiessearchresultlist.tt
koha-tmpl/opac-tmpl/prog/en/modules/opac-auth.tt

http://git.koha-community.org/gitweb/?p=koha.git;a=tree;f=koha-tmpl/opac-tmpl/prog/en/modules;h=5330fbfa93f85233cebf2b7ceed1cc495b0ff4b3;hb=0923e96cb4a9684db7c777866e9c822522f49a72

That file does not exist, perhaps thats why its falling back. Am I going blind or does opac-auth-detail.tt really not exist in master?
Comment 8 Chris Cormack 2012-07-01 20:29:17 UTC
So yes, currently before this patch is applied it is not just ugly, but totally and utterly broken.

Due to the fact bug 7943 was pushed.
Comment 9 Chris Cormack 2012-07-01 20:32:37 UTC
This is doing my head in. Someone else will have to test.
Comment 10 Jared Camins-Esakov 2012-07-01 21:46:49 UTC
(In reply to comment #8)
> So yes, currently before this patch is applied it is not just ugly, but
> totally and utterly broken.
> 
> Due to the fact bug 7943 was pushed.

This seems to be specific to your installation, as it's working for others on unmodified master, and works fine for me even on a completely new installation with unadulterated master. I have absolutely no idea what the problem could be, though. I guess the thing to do is get this signed off and into master as soon as possible, and then it will be a moot point.
Comment 11 Katrin Fischer 2012-07-08 12:36:34 UTC
Hi Jared,

I tested this on current master and there are some problems. 

I got mails with the following errors from my system:

Useless use of substr in void context at /home/katrin/kohaclone/C4/AuthoritiesMarc.pm line 1089.
Useless use of substr in void context at /home/katrin/kohaclone/C4/AuthoritiesMarc.pm line 1102.

The main heading shows as HASH(0x3b1a130).

The new detail view displays nicely for me. Some thoughts about this:
- The heading "See also:" should only show when there are "see alsos"
- I wonder if the "preferred form" should also be bold.

I think your patch totally removes the "labelled MARC view". Could it be an option to have tabs for authorities advertising different views?
Maybe some time in the future a plain MARC view would also be nice, as would be a download option.
Comment 12 Katrin Fischer 2012-07-08 12:46:24 UTC
>I think your patch totally removes the "labelled MARC view". Could it be an >option to have tabs for authorities advertising different views?
>Maybe some time in the future a plain MARC view would also be nice, as would be >a download option.

was totally wrong about that - tabs are there!
Comment 13 Jared Camins-Esakov 2012-07-08 12:51:34 UTC Comment hidden (obsolete)
Comment 14 Jared Camins-Esakov 2012-07-08 12:52:10 UTC
Revised the patch to take care of the issues identified by Katrin.
Comment 15 Jared Camins-Esakov 2012-07-08 13:13:28 UTC Comment hidden (obsolete)
Comment 16 Katrin Fischer 2012-07-08 14:28:52 UTC Comment hidden (obsolete)
Comment 17 Paul Poulain 2012-07-26 15:06:47 UTC
Created attachment 11146 [details]
UNIMARC view wrong

I LOVE the idea of this patch.

However, in UNIMARC, it seems it does not work at all :'(
Comment 18 Jared Camins-Esakov 2012-07-26 15:51:28 UTC Comment hidden (obsolete)
Comment 19 Paul Poulain 2012-07-26 16:15:43 UTC
QA comment: astonishing improvement ! passed QA

Just 2 comments:
 * I see an empty "Note" tab, shouldn't it not be here if it is empty ?
 * there is no space between preffered form and authtypecode, I think adding one would be nice

Another comment: why didn't you choose to have a XSLT display ? That would have been the best option I think. But that can be for another patch ;-)
Comment 20 Chris Cormack 2012-07-26 23:58:15 UTC
No database changes, fixes what is a bug really. (No one should have to see MARC least of all poor unsuspecting catalogue users) :)

Pushed to 3.8.x will be in 3.8.4
Comment 21 Jonathan Druart 2012-07-27 11:51:25 UTC
This patch introduces a warning :

% perl -wc C4/AuthoritiesMarc.pm
"my" variable $sth masks earlier declaration in same scope at /home/jonathan/workspace/versions/koha_master/C4/Accounts.pm line 220.
Use of qw(...) as parentheses is deprecated at /home/jonathan/workspace/versions/koha_master/C4/Serials.pm line 583.
Use of qw(...) as parentheses is deprecated at /home/jonathan/workspace/versions/koha_master/C4/Serials.pm line 596.
"my" variable @fields masks earlier declaration in same scope at C4/AuthoritiesMarc.pm line 1017.

The last one didn't exist before.
Comment 22 Jared Camins-Esakov 2012-07-27 11:53:40 UTC Comment hidden (obsolete)
Comment 23 Jonathan Druart 2012-07-27 12:10:50 UTC
Jared,

Thanks for your reactivity :)

This patch removes the warning but I think l.974 can be removed too.
Comment 24 Jared Camins-Esakov 2012-07-27 12:20:36 UTC Comment hidden (obsolete)
Comment 25 Jonathan Druart 2012-07-27 12:25:32 UTC Comment hidden (obsolete)
Comment 26 Nicole C. Engard 2012-07-27 16:26:58 UTC
Created attachment 11173 [details]
template error

When viewing /opac-authoritiesdetail.pl?authid=491 it pushes the opac nav down instead of floating to the right of it - this is on Mac in FF and Chrome.
Comment 27 Marcel de Rooy 2012-07-30 11:40:40 UTC
(In reply to comment #26)
> When viewing /opac-authoritiesdetail.pl?authid=491 it pushes the opac nav
> down instead of floating to the right of it - this is on Mac in FF and
> Chrome.

Same for me: FF on *Windows* :)
Comment 28 Marcel de Rooy 2012-07-30 11:47:18 UTC
Nice feature/fix BTW!
I came across the warning too now. Latest patch removes some unneeded lines.
Passed QA
Comment 29 Paul Poulain 2012-08-01 12:59:34 UTC
follow-up pushed
Comment 30 Chris Cormack 2012-08-01 23:12:01 UTC
Follow up pushed the 3.8.x will be in 3.8.4
Comment 31 Nicole C. Engard 2012-08-08 18:24:47 UTC
Comment 26 is still an issue in FF on Mac on Master.
Comment 32 Paul Poulain 2012-08-27 12:39:40 UTC
"Reopening" and up-ping severity, if it happen on FF-windows, it must be fixed !
Comment 33 Jared Camins-Esakov 2012-08-27 13:05:24 UTC Comment hidden (obsolete)
Comment 34 Chris Cormack 2012-08-28 01:48:15 UTC
Created attachment 11852 [details] [review]
Bug 8204 follow-up: don't display OpacNav on auth details

Based on the way we handle the bib details page, it seems we should
not be displaying OpacNav on the authority details pages on the OPAC.
This patch removes them.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 35 Jonathan Druart 2012-09-05 12:48:22 UTC
Last patch removes th OpacNav on the opac authority detail page.

Marked as Passed QA.
Comment 36 Paul Poulain 2012-09-07 16:34:23 UTC
Follow-up pushed
Comment 37 Chris Cormack 2012-09-08 09:16:27 UTC
Pushed to 3.8.x, will be in 3.8.5